%define major   1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name

Name:		giblib
Version:	1.2.4
Release:	10
Summary:	Simple library and a wrapper for imlib2
License:	GPL
Group:		System/Libraries
URL:		http://linuxbrit.co.uk/giblib
Source:		http://linuxbrit.co.uk/downloads/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	freetype-devel

%description
giblib is a utility library used by many of the applications from
linuxbrit.co.uk. It incorporates doubly linked lists, some string
functions, and a wrapper for imlib2. The wrapper does two things.
It gives you access to fontstyles, which can be loaded from files,
saved to files or defined dynamically through the API. It also,
and more importantly, wraps imlib2's context API.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{develname}
Summary:	Development header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -rf %{buildroot}%{_prefix}/doc
chmod 644 %{buildroot}%{_libdir}/lib%{name}.la

%files -n %libname
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_bindir}/%{name}-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.2.4-10
+ Revision: 355caef
- MassBuild#440: Increase release tag


